<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateJobTitlesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('job_titles', function (Blueprint $table) {
            $table->increments('id');
            $table->string('job_title_code',10);
            $table->string('role_code',10);
            $table->string('job_title');
            $table->string('job_paygrade_code',10);
            $table->string('description')->nullable();
            $table->integer('minimum_experience');
<<<<<<< 8c98d41a67e0ec45e1fd64b04b779360352c1dcf
=======
            $table->integer('created_by')->nullable();
            $table->integer('modified_by')->nullable();
            $table->tinyInteger('is_active')->default(1);
>>>>>>> Storing employee info
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('job_titles');
    }
}
